
%define name    keytouch
%define version 2.2.3
%define release 1.2007mcnl
%define summary Configure extra keyboard keys
%define section System/Configuration/Hardware

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:		http://keytouch.sourceforge.net
License:        GPL
Group:          %{section}
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:	%{name}-%{version}.tar.gz
Source1:	keytouch-KMix_plugin-1.0.tar.gz
Patch0:		keytouchpatch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
BuildRequires:  libgnome-menu2-devel

%description
KeyTouch is a program which allows you to easily configure the extra function
keys of your keyboard. This means that you can define, for every individual 
function key, what to do if it is pressed.
When you buy a new keyboard a CD-ROM will probably included. This CD-ROM 
contains software to configure the extra function keys (the image above shows 
an example of extra functionkeys) of your keyboard with. The problem however 
is that most of the times the software is not available for Linux.
KeyTouch is the solution to this problem. It allows you to easily configure 
the extra function keys of your keyboard.


%prep
rm -rf %{buildroot}

%setup -q -n %{name}-%{version}
%setup -q -T -D -a1 -n %{name}-%{version}
%patch0 -p1

%build


mkdir -p %{buildroot}/etc/init.d/
mkdir -p %{buildroot}/etc/rc.d/
mkdir -p %{buildroot}/%{_datadir}/%{name}
 
%configure
%make
make install DESTDIR=$RPM_BUILD_ROOT
cd keytouch-config
%configure
%make
make install DESTDIR=$RPM_BUILD_ROOT

cd ../keytouch-keyboard
%configure
%make
make install DESTDIR=$RPM_BUILD_ROOT

cd ../KMix-1.0
%make
cp *.so %{buildroot}%{_libdir}/%{name}/plugins/

%install

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="keytouch" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="KeyTouch" \
longtitle="%summary"
EOF

mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Keytouch
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;GNOME;X-MandrivaLinux-System-Configuration-Hardware
EOF


#icons
mkdir -p %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 keytouch-keyboard/pixmaps/icon.png %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 keytouch-keyboard/pixmaps/icon.png %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 keytouch-keyboard/pixmaps/icon.png %{buildroot}/%{_miconsdir}/%{name}.png

rm %{buildroot}%{_sysconfdir}/init.d/keytouch-init.sh
mv keytouch-init/keytouch-init.sh %{buildroot}%{_sysconfdir}/init.d/
rm %{buildroot}%{_sysconfdir}/rc.d/S20keytouch-init.sh
%{__ln_s} "/etc/init.d/keytouch-init.sh" "%{buildroot}/%{_sysconfdir}/rc.d/S20keytouch-init.sh"



%post
%update_menus

chkconfig --add keytouch-init.sh

	XSESSION_KEYTOUCHD_LINE="keytouchd &";
	XSESSION_DIR="/etc/X11/Xsession.d";
	if [ -d $XSESSION_DIR ]; then 
		echo '# $Id: 92keytouchd_launch' > $XSESSION_DIR/92keytouchd_launch;
		echo "$XSESSION_KEYTOUCHD_LINE" >> $XSESSION_DIR/92keytouchd_launch;
		chmod 644 $XSESSION_DIR/92keytouchd_launch;
	else
		XSESSION_FILE="/etc/X11/Xsession";
		if [ "`grep \"$XSESSION_KEYTOUCHD_LINE\" \"$XSESSION_FILE\" -m 1 -h`" != "$XSESSION_KEYTOUCHD_LINE" ]; then
			XSESSION_TMP=`cat "$XSESSION_FILE"`;
			echo "$XSESSION_KEYTOUCHD_LINE" > $XSESSION_FILE;
			echo "$XSESSION_TMP" >> $XSESSION_FILE;
		fi
	fi


XSESSION_KEYTOUCH_ACPID_LINE="if [ ! \`ps -A | grep keytouch-acpid -m 1 -o\` ]; then (keytouch-acpid & &> /dev/null); fi";
	XSESSION_DIR="/etc/X11/Xsession.d";
	if [ -d $XSESSION_DIR ]; then
		echo "# $Id: 91keytouch-acpid_launch" > $XSESSION_DIR/91keytouch-acpid_launch;
		echo "$$XSESSION_KEYTOUCH_ACPID_LINE" >> $XSESSION_DIR/91keytouch-acpid_launch;
	  chmod 644 $XSESSION_DIR/91keytouch-acpid_launch;
	else
	  XSESSION_FILE="/etc/X11/Xsession";
	  if [ "`grep \"$XSESSION_KEYTOUCHD_ACPID_LINE\" \"$XSESSION_FILE\" -m 1 -h`" != "$XSESSION_KEYTOUCH_ACPID_LINE" ]; then
	    XSESSION_TMP=`cat "$XSESSION_FILE"`;
	    echo "$XSESSION_KEYTOUCH_ACPID_LINE" > $XSESSION_FILE;
	    echo "$XSESSION_TMP" >> $XSESSION_FILE;
	  fi
	fi


%preun

chkconfig --del keytouch-init.sh

	XSESSION_KEYTOUCHD_LINE="keytouchd &";
	XSESSION_DIR="/etc/X11/Xsession.d";
	if [ -d $XSESSION_DIR ]; then 
		rm -f $XSESSION_DIR/92keytouchd_launch;
		rm -f $XSESSION_DIR/91keytouch-acpid_launch;
	else
		XSESSION_FILE="/etc/X11/Xsession";
		if [ "`grep \"$XSESSION_KEYTOUCHD_LINE\" \"$XSESSION_FILE\" -m 1 -h`" != "$XSESSION_KEYTOUCHD_LINE" ]; then
	    echo "clean";
	  fi
	    XSESSION_TMP=`sed /keytouch/d $XSESSION_FILE`;
	    echo "$XSESSION_TMP" > $XSESSION_FILE;
	fi


%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 


%files 
%defattr(-,root,root,0755) 
%doc COPYING
%_menudir/*
%_iconsdir/*

%config(noreplace) %attr(0755, root, root) %{_sysconfdir}/init.d/keytouch-init.sh
%attr(0755, root, root) %{_sysconfdir}/%name
%attr(0755, root, root) %{_sysconfdir}/rc.d/S20keytouch-init.sh
%{_bindir}/%{name}*
%{_libdir}/%{name}/plugins
%{_datadir}/%{name}/pixmaps
%{_datadir}/applications/%{name}.desktop

%{_datadir}/locale/*/LC_MESSAGES/%{name}*
%attr(0755, root, root) %{_datadir}/%{name}/keyboards
%attr(0644, root, root) %{_datadir}/%{name}/keyboards/*
%{_datadir}/%{name}/doc
%{_datadir}/%{name}-keyboard
%{_datadir}/%{name}/applications.menu


%changelog 
* Tue Nov 1 2006 Marco Meijer <marco@mandrivaclub.nl> 2.2.3-1.2007mcnl
- new version
- repaired script error

* Thu Oct 27 2006 Marco Meijer <marco@mandrivaclub.nl> 2.2.2-1.2007mcnl
- new version

* Sun May 21 2006 Marco Meijer <marco@mandrivaclub.nl> 2.1.4-1.2006mcnl
- new version

* Mon Apr 10 2006 Marco Meijer <marco@mandrivaclub.nl> 2.1.3-1.2006mcnl
- new version

* Mon Mar 6 2006 Marco Meijer <marco@mandrivaclub.nl> 2.1.0-1.2006mcnl
- new version

* Wed Dec 7 2005 Marco Meijer <marco@mandrivaclub.nl> 2.0.1-1.2006mcnl
- new version

* Wed Nov 23 2005 Marco Meijer <marco@mandrivaclub.nl> 2.0.0-1.2006mcnl
- new version

* Wed Feb 16 2005 Marco Meijer <korrel@mandrakeclub.nl> 1.1.0-1.101mcnl
- new version

* Wed Dec 15 2004 Marco Meijer <korrel@mandrakeclub.nl> 1.0.0-3.101mcnl
- changed rights keytouch.sh

* Sat Dec 11 2004 Marco Meijer <korrel@mandrakeclub.nl> 1.0.0-2.101mcnl
- changed place doc files.

* Wed Dec 08 2004 Marco Meijer <korrel@mandrakeclub.nl> 1.0.0-1.101mcnl
- new version



